//  @import com.hedgehoglab.application.view.BaseView;
//	@import com.hedgehoglab.application.helper.BaseHelper;
	
function UserHelper(scope){
	BaseHelper.call(this,scope);
    BaseView.call(this,scope);

    var _this=this;
	var _users={};

	this.get_users=function(e){
		return _users
	};
	
	this.get_user=function(id){
		return _users[id];
	};
	
	this.user_fullname=function(user){
		var username="";
		if((user.firstName==null || user.firstName=="") && (user.lastName==null || user.lastName=="")){
			//	Revert to the username
			username=user.username;
		}else{
			username=user.firstName+" "+user.lastName;
		}
		
		return username;
	};
	
	this.set_users=function(users){
		_users=users;
	};
}